WebSphereAuthMappingModule (CMDB Model API)
Keywords: com.collation.platform.model.topology.app.j2ee.websphere.WebSphereAuthMappingModule interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.topology.app.j2ee.websphere
Interface WebSphereAuthMappingModule

All Superinterfaces:
  LogicalElement, ManagedElement, ManagedSystemElement, ModelObject, java.io.Serializable

    public interface WebSphereAuthMappingModule

extends LogicalElement

Represents a WebSphere Auth Mapping Module for a Connection pool

Naming Rules:
  0="parent,authDataAlias" 1="managedSystemName"
Persistable:
  true
Table Name:
  WASAUTHMAP
Display Name:
  parent,authDataAlias

Field Summary

Fields inherited from interface com.collation.platform.model.topology.core.ManagedElement
`IBM_COPYRIGHT`

Method Summary
`java.lang.String` | `getAuthDataAlias()`
`java.lang.String` | `getMappingConfigAlias()`
`WebSphereJ2EEResource` | `getParent()`
`boolean` | `hasAuthDataAlias()`
`boolean` | `hasMappingConfigAlias()`
`boolean` | `hasParent()`
`void` | `setAuthDataAlias(java.lang.String authDataAlias)`
`void` | `setMappingConfigAlias(java.lang.String mappingConfigAlias)`
`void` | `setParent(WebSphereJ2EEResource cp)`

Methods inherited from interface com.collation.platform.model.topology.core.ManagedElement
`getManagedSystemName, getRoles, hasManagedSystemName, hasRoles, setManagedSystemName, setRoles`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Method Detail

### getParent

    WebSphereJ2EEResource getParent()
                                    throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Contains" reverse="true"

### setParent

    void setParent(WebSphereJ2EEResource cp)

### hasParent

    boolean hasParent()

### getMappingConfigAlias

    java.lang.String getMappingConfigAlias()
                                           throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setMappingConfigAlias

    void setMappingConfigAlias(java.lang.String mappingConfigAlias)

### hasMappingConfigAlias

    boolean hasMappingConfigAlias()

### getAuthDataAlias

    java.lang.String getAuthDataAlias()
                                      throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setAuthDataAlias

    void setAuthDataAlias(java.lang.String authDataAlias)

### hasAuthDataAlias

    boolean hasAuthDataAlias()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD